namespace Wizard;

public class AIVirtualTurnEndInfo : AIVirtualActionInfo
{
	public AIVirtualTurnEndInfo(AIVirtualCard leader)
		: base(leader, AIOperationType.TURNEND, null)
	{
	}

	public override ulong GetHash()
	{
		return 9999991uL;
	}

	public bool Validate(AIVirtualTurnEndInfo info)
	{
		if (info == null)
		{
			return false;
		}
		if (info.Actor == null || base.Actor == null)
		{
			return false;
		}
		if (!base.Actor.IsSameCard(info.Actor))
		{
			return false;
		}
		if (base.CurrentCheckCard == null && info.CurrentCheckCard == null)
		{
			return true;
		}
		if (base.CurrentCheckCard != null && info.CurrentCheckCard != null)
		{
			return base.CurrentCheckCard.IsSameCard(info.CurrentCheckCard);
		}
		return false;
	}
}
